### ANOVA: analysis of variance as in two-factor factorial design
### (based on demo-10, Montgomery, Example 5-3, p.197).

# load the data into raw data.frame
source("loaddata.R")

# check if the data is balanced:
balance <- replications(~ . - discomfort, raw)
!is.list(balance) # should give TRUE
# check if count is the same across all combinations:
with(raw, aggregate(discomfort~Ton*Tget, FUN="length"))

### Analysis of variance as in two-factor factorial design
### (based on demo-10, Montgomery, Example 5-3, p.197).

# analyze discomfort linear dependency on Ton, Tget and their interaction:
d_aov <- aov(discomfort ~ Ton * Tget, data=raw) ; anova(d_aov)
coef(d_aov) # compute linear model coefficients

e_aov <- aov(energy ~ Ton * Tget, data=raw) ; anova(e_aov)
coef(e_aov)

